Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class AbstractFlowConstructFactoryBean

    java.lang.Object
      org.mule.config.spring.factories.AbstractFlowConstructFactoryBean

All Implemented Interfaces:
  MuleContextAware, Initialisable, org.springframework.beans.factory.FactoryBean<FlowConstruct>, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware

Direct Known Subclasses:
  BridgeFactoryBean, SimpleServiceFactoryBean, ValidatorFactoryBean, WSProxyFactoryBean

    public abstract class AbstractFlowConstructFactoryBean

extends Object
implements org.springframework.beans.factory.FactoryBean<FlowConstruct>, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware, MuleContextAware, Initialisable

Field Summary
`protected org.springframework.context.ApplicationContext` | `applicationContext`
`protected AbstractFlowConstruct` | `flowConstruct`
`protected MuleContext` | `muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`AbstractFlowConstructFactoryBean()`

Method Summary
`void` | `afterPropertiesSet()`
`protected AbstractFlowConstruct` | `createFlowConstruct()`
`protected abstract AbstractFlowConstructBuilder<? extends AbstractFlowConstructBuilder<?,?>,? extends AbstractFlowConstruct>` | `getFlowConstructBuilder()`
`FlowConstruct` | `getObject()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isSingleton()`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void` | `setExceptionListener(MessagingExceptionHandler exceptionListener)`
`void` | `setMessageSource(MessageSource messageSource)`
`void` | `setMuleContext(MuleContext muleContext)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.FactoryBean
`getObjectType`

Field Detail

### applicationContext

    protected org.springframework.context.ApplicationContext applicationContext

### muleContext

    protected MuleContext muleContext

### flowConstruct

    protected AbstractFlowConstruct flowConstruct

Constructor Detail

### AbstractFlowConstructFactoryBean

    public AbstractFlowConstructFactoryBean()

Method Detail

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<FlowConstruct>`

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Throws:
    `org.springframework.beans.BeansException`

### setMuleContext

    public void setMuleContext(MuleContext muleContext)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getFlowConstructBuilder

    protected abstract AbstractFlowConstructBuilder<? extends AbstractFlowConstructBuilder<?,?>,? extends AbstractFlowConstruct> getFlowConstructBuilder()

### setName

    public void setName(String name)

### setMessageSource

    public void setMessageSource(MessageSource messageSource)

### setExceptionListener

    public void setExceptionListener(MessagingExceptionHandler exceptionListener)

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `Exception`

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### getObject

    public FlowConstruct getObject()
                            throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean<FlowConstruct>`
  Throws:
    `Exception`

### createFlowConstruct

    protected AbstractFlowConstruct createFlowConstruct()
                                                 throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.